[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.Create

Constructor for the class instance.

## Declaration

Source position: graphics.pp line 1304

`public constructor TRasterImage.Create; override;`

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create ensures that the internal shared image instance is created and referenced for the implementation.

Create sets the default value for the TransparentColor property to clDefault. This is done for Delphi compatibility where clDefault indicates that the bottom left pixel in the image is used as the transparent color.

## See also

TRasterImageClass |  | Class reference used to create new instances of TRasterImage.
TRasterImage.TransparentColor |  | Color used for transparent pixels in the image.
TGraphic.Create |  | Constructor for the class instance.